DCMTK - Bug #957

MacOS on ARM does not have <xmmintrin.h>
2020-12-03 08:59 - Marco Eichelberg

Status: Closed Start date: 2020-12-03
Priority: Normal Due date:

Assignee: Michael Onken % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 3.6.7

Module: config Compiler:

Operating System:

Description
Currently, the arith.cc test program executed during the configure phase contains the following code:

#ifdef _ APPLE_

For controlling floating point exceptions on 0OS X.
#include <xmmintrin.h>

#endif

MacOS on ARM does not have this header file. This prevents successful compilation of DCMTK on that platform. A proper alternative
for enabling/disabling floating point execptions on MacOS on ARM needs to be identified and implemented.

Bug report submitted by Hiroaki Inomata <inomatah0612@gmail.com> on 2020-12-02.

History

#1 - 2021-03-28 18:22 - Marco Eichelberg
- Status changed from New to Closed
- Assignee set to Michael Onken

- % Done changed from 0 to 100

Closed by commit #5fba853b6.
